Bug 1004379 - glance: cannot list/remove images using wild card
glance: cannot list/remove images using wild card
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: RHOS Maint
Haim
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 10:04 EDT by Dafna Ron
Modified: 2016-04-26 20:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 03:21:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1220735 None None None Never

  None (edit)
Description Dafna Ron 2013-09-04 10:04:36 EDT
Description of problem:

I would like to be able to delete several images using wild card. 
example: 
if I have 3 images called rhel1,rhel2,rhel3 and I want to delete all of them, 
if I run glance image-delete rhel* I would get the below error: 

[root@opens-vdsb ~(keystone_admin)]# glance image-delete rhel*
No image with a name or ID of 'rhel*' exists.

so I have to delete by putting each of the ID's in the delete command. 

Version-Release number of selected component (if applicable):

openstack-glance-2013.1.3-1.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create several numbered images (rhel1-3)
2. try to delete images using wild card  (glance image-delete rhel*)
3.

Actual results:

we are unable to delete using wild card 

Expected results:

deleting a large number of images that you do not need any more can be done easily if we allow delete with wild card. 

Additional info:

https://bugs.launchpad.net/glance/+bug/1220735
Comment 1 Dafna Ron 2013-09-05 07:12:26 EDT
also cannot list images with wild card. 


[root@opens-vdsb ~(keystone_admin)]# glance image-list
+--------------------------------------+------------------+-------------+------------------+------------+--------+
| ID                                   | Name             | Disk Format | Container Format | Size       | Status |
+--------------------------------------+------------------+-------------+------------------+------------+--------+
| 1433f462-0079-49dc-b6be-a7927c12be77 | check            | qcow2       | bare             | 1974140928 | active |
| 208bf4d0-f760-4212-8cf5-dd3ab0015a7d | disk_size        | qcow2       | bare             | 1440612352 | active |
| 14b12673-5678-4494-9aa0-b54d15020eec | downloaded_image | qcow2       | bare             | 1974140928 | active |
| df77a225-7ccf-4b03-a5fc-31a8c5e83e04 | dron             |             |                  | 1974140928 | queued |
| 43421785-6fb0-4ef2-8068-7993072a7735 | file             | qcow2       | bare             | 1440612352 | active |
| 55d45384-6b4b-40c6-b399-639b03c06c3b | human            | qcow2       | bare             | 1          | active |
| c203f297-fe71-40d7-a5b4-f3274347fa14 | human            | qcow2       | bare             | 1974140928 | active |
| b06050f8-90f1-4a81-aaa4-4653a15e1dc2 | human            | qcow2       | bare             | 1974140928 | active |
| e0800016-fe8c-43f3-b273-2ec7f1588c42 | human            | qcow2       | bare             | 1974140928 | active |
| 23bf4915-9f83-4eb5-a7c2-702de4d825e7 | image_size_file  | qcow2       | bare             | 1          | active |
| 0c4bc71a-4fa0-4585-9af1-e49b06d57082 | just_copy        | qcow2       | bare             | 1          | active |
| 9df487b3-6a71-48ff-a012-668324aae01f | not_public       | qcow2       | bare             | 1974140928 | active |
| 6e860237-2110-428c-870a-a81b1c7df258 | not_public_dafna | qcow2       | bare             | 1974140928 | active |
| 723dfae6-fd58-440a-9f71-1f1da82e3229 | not_public_dafna | qcow2       | bare             | 1974140928 | active |
| e2e2fa1a-55b4-426a-a05b-9d9e70ffed72 | no_del           | qcow2       | bare             | 1974140928 | active |
| 05c9b5e2-3082-4ad3-8d03-faf74b61234c | rhel64           | qcow2       | bare             | 1974140928 | active |
| fbf238ee-8396-4da2-961b-613b7c4ed9ec | rhevm_image      | qcow2       | bare             | 1440612352 | active |
| ec358c7a-6579-4cda-93a5-8e409fb6e7d9 | tenant           | qcow2       | bare             | 1974140928 | active |
| dc79349e-de25-4ec5-8b12-5a6145270c47 | test             | qcow2       | bare             | 1974140928 | active |
+--------------------------------------+------------------+-------------+------------------+------------+--------+

[root@opens-vdsb ~(keystone_admin)]# glance image-list --name not*

[root@opens-vdsb ~(keystone_admin)]#

Note You need to log in before you can comment on or make changes to this bug.